ACPIBAT(4)

NAME
acpibat - ACPI control method battery

SYNOPSIS
acpibat* at acpi?

DESCRIPTION
The acpibat driver supports the ACPI Control Method Battery interface between the battery and the host. Information about the battery, such as capacity, recharge rate, voltage, and serial number, is available through this driver. Battery status is updated through an event triggered when a battery changes state (such as starting to charge) and, as a failsafe if the system does not support passing such events, every 10 seconds. Battery status can be monitored using sysctl(8) or sensorsd(8).

SEE ALSO
acpi(4), acpisbs(4), intro(4), sensorsd(8), sysctl(8)

HISTORY
The acpibat driver first appeared in OpenBSD 3.8.

AUTHORS
-nosplit The acpibat driver was written by Marco Peereboom <marco@openbsd.org>.

BUGS
Some systems do not propagate battery insertion up to the driver.